This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198136 - Underline attribute is ignored when the last character is a blank
Underline attribute is ignored when the last character is a blank
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 04:56 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.14.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 19:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testcase (2.00 KB, text/plain)
2006-07-10 04:56 EDT, Akira TAGOH
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 347146 None None None Never

  None (edit)
Description Akira TAGOH 2006-07-10 04:56:47 EDT
Description of problem:
when an underline attribute is set for a text "abc " say, no underline for the
last character.

Version-Release number of selected component (if applicable):
1.13.2-1

How reproducible:
always

Steps to Reproduce:
1.build a test code that will be attached.
2.run and see
3.
  
Actual results:
no underline for blank.

Expected results:
underline should be rendered according to the given PangoAttrList.

Additional info:
it works when the last character isn't a blank, and just including a blank in
the text too.
Comment 1 Akira TAGOH 2006-07-10 04:56:47 EDT
Created attachment 132164 [details]
testcase
Comment 2 Liang Zhang 2006-09-06 21:41:49 EDT
The same bug in upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=354709
Comment 3 Liang Zhang 2006-09-11 21:38:51 EDT
This bug has been fixed by behdad.
It can be closed.
Comment 4 Behdad Esfahbod 2006-09-12 12:43:53 EDT
Lets close when I push a new Pango in rawhide.

Note You need to log in before you can comment on or make changes to this bug.